kantiword.sh

来自「A free MS Word reader for Linux and RISC」· Shell 代码 · 共 72 行

SH
72
字号
#!/bin/sh## Script to make drag and drop in KDE possible#set -x#if [ $# -lt 2 ]then	exit 0fi# Determine the temp directoryif [ -d "$TMPDIR" ] && [ -w "$TMPDIR" ]then	tmp_dir=$TMPDIRelif [ -d "$TEMP" ] && [ -w "$TEMP" ]then	tmp_dir=$TEMPelse	tmp_dir="/tmp"fi                        # Try to create the temp files in a secure wayif [ -x /bin/tempfile ]then	out_file=`/bin/tempfile -d "$tmp_dir" -p antiword -s ".ps"` || exit 1	err_file=`/bin/tempfile -d "$tmp_dir" -p antiword -s ".err"`	if [ $? -ne 0 ]	then		rm -f "$out_file"		exit 1	fielif [ -x /bin/mktemp ]then	out_file=`/bin/mktemp -q -p "$tmp_dir" antiword.ps.XXXXXXXXX` || exit 1	err_file=`/bin/mktemp -q -p "$tmp_dir" antiword.err.XXXXXXXXX`	if [ $? -ne 0 ]	then		rm -f "$out_file"		exit 1	fielse	# Creating the temp files in an un-secure way	out_file=$tmp_dir"/antiword.$$.ps"	err_file=$tmp_dir"/antiword.$$.err"fi# Determine the paper sizepaper_size=$1shift# Make the PostScript fileantiword -p $paper_size -i 0 "$@" 2>"$err_file" >"$out_file"if [ $? -ne 0 ]then	# Something went wrong	if [ -r "$err_file" ] && [ -s "$err_file" ]	then		konsole --caption "Error from Antword" -e less "$err_file"	fi	# Clean up	rm -f "$out_file" "$err_file"	exit 1fi# Show the PostScript filegv "$out_file" -nocentre -media $paper_size# Clean uprm -f "$out_file" "$err_file"exit 0

⌨️ 快捷键说明

复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?